Package groovy.xml

# Class NamespaceBuilder

java.lang.Object
groovy.xml.NamespaceBuilder

public class NamespaceBuilder extends Object
A helper class for creating namespaces for GroovyMarkup

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`NamespaceBuilder(BuilderSupport builder)`

## Method Summary

Modifier and Type
Method
Description
`NamespaceBuilderSupport`
`declareNamespace(Map ns)`
`NamespaceBuilderSupport`
`namespace(String uri)`
`NamespaceBuilderSupport`
`namespace(String uri, String prefix)`
`static NamespaceBuilderSupport`
`newInstance(BuilderSupport builder)`
`static NamespaceBuilderSupport`
`newInstance(BuilderSupport builder, String uri)`
`static NamespaceBuilderSupport`
`newInstance(BuilderSupport builder, String uri, String prefix)`
`static NamespaceBuilderSupport`
`newInstance(Map nsMap, BuilderSupport builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamespaceBuilder

public NamespaceBuilder(BuilderSupport builder)

## Method Details

### newInstance

public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

### newInstance

public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

### newInstance

public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)

### newInstance

public static NamespaceBuilderSupport newInstance(Map nsMap, BuilderSupport builder)

### namespace

public NamespaceBuilderSupport namespace(String uri)

### namespace

public NamespaceBuilderSupport namespace(String uri, String prefix)

### declareNamespace

public NamespaceBuilderSupport declareNamespace(Map ns)